(in-package :cg-user)

;; Open a socket to the AIBO
(defvar commsock nil)

;; Define command strings to send
(defvar locateBall "lb")
(defvar inGreenRm "cr")
(defvar locateDest "ld")
(defvar holdingBall "ch")
(defvar ballInGreenRm "lb")
(defvar colocate "co")
(defvar grabBall "co")
(defvar goRoom "go")
(defvar releaseBall "rb")
(defvar stop "stop")
(defvar down "down")
(defvar done "done")

(defvar f nil) ; So when the robot returns f it's read as false

(defvar r 100) ; Replan value

;; A function for opening the socket
(defun connect-aibo () (prog1
  (setf commsock (acl-socket:make-socket :remote-host "10.0.137.6" :remote-port 10101))
  (listenSock)
 ))
;; A function for closing the socket
(defun close-aibo () (close commsock))

(defun writeSock (text)
    (format commsock "~A~%" text)
    (finish-output commsock)
)

(defun listenSock ()
  (format-input (read-char commsock))
)

(defun command (cmd)
  (writeSock cmd)
  (listenSock)
  )

(defun format-input (input)
  (cond
   ((equal input #\T) t)
   ((equal input #\Y) y)
   ((equal input #\N) n)
   ((equal input #\U) u)
   ((equal input #\R) r)
   (t f)
   )
  )



